#
# spec file for package python-ruamel.yaml
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-ruamel.yaml
Version:        0.14.9
Release:        1.1
Summary:        Python YAML parser
License:        MIT
Group:          Development/Languages/Python
Url:            https://bitbucket.org/ruamel/yaml
Source:         https://files.pythonhosted.org/packages/source/r/ruamel.yaml/ruamel.yaml-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%ifpython2
Requires:       python-ruamel.ordereddict
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
ruamel.yaml is a YAML parser/emitter that supports roundtrip preservation
of comments, seq/map flow style, and map key order

%prep
%setup -q -n ruamel.yaml-%{version}
rm -rf *egg-info

%build
%python_build

%install
%python_install --single-version-externally-managed
%python_exec %fdupes -s %{buildroot}%{$python_sitearch}

%files %{python_files}
%defattr(-,root,root,-)
%doc  CHANGES LICENSE README.rst
%{python_sitearch}/_ruamel_yaml*.so
%{python_sitearch}/ruamel
%{python_sitearch}/ruamel.yaml-%{version}-py%{python_version}-nspkg.pth
%{python_sitearch}/ruamel.yaml-%{version}-py%{python_version}.egg-info

%changelog
* Mon Apr 24 2017 aloisio@gmx.com
- Update to 0.14.9 (see included CHANGES file)
- Converted to single-spec
- LICENSE file is now provided internally, so dropped Source1
- Dropped python-ruamel.ordereddict as build requirement
* Tue Oct 11 2016 rjschwei@suse.com
- Initial build    (FATE#321630, bsc#1002895)
  + Include in SLES 12
  + Version 0.12.14
